#ifndef	__AR1000_H__
#define	__AR1000_H__

// AR1000 WX^
#define	R0		0x00
#define	R1		0x01
#define	R2		0x02
#define	R3		0x03
#define	R4		0x04
#define	R5		0x05
#define	R6		0x06
#define	R7		0x07
#define	R8		0x08
#define	R9		0x09
#define	R10		0x0A
#define	R11		0x0B
#define	R12		0x0C
#define	R13		0x0D
#define	R14		0x0E
#define	R15		0x0F
#define	R16		0x10
#define	R17		0x11
#define	RSSI	0x12
#define	STATUS	0x13
#define	RBS		0x14
#define	RDS1	0x15
#define	RDS2	0x16
#define	RDS3	0x17
#define	RDS4	0x18
#define	RDS5	0x19
#define	RDS6	0x1A
#define	DEVID	0x1B
#define	CHIPID	0x1C

#define	R0_DEFAULT		0xFFFC
#define	R1_DEFAULT		0x5B05
#define	R2_DEFAULT		0xF4B9
#define	R3_DEFAULT		0x9842

#define	R0_ENABLE		0x0001
#define	R0_XO_EN		0x0002
#define	R1_HMUTE		0x0002
#define	R1_SMUTE		0x0004
#define	R1_MONO			0x0008	// ??
#define	R1_DEEMP		0x0010	// ??	1:75us  0:50us
#define	R1_RDS_EN		0x8000	// ??
#define	R2_CHAN			0x01FF
#define	R2_TUNE			0x0200
#define	R3_SEEKTH		0x007F
#define	R3_VOLUMN		0x0780
#define	R3_BAND			0x1800	// 11:76-108	10:76-90	00:87.5-108
#define	R3_SPACE		0x2000
#define	R3_SEEK			0x4000
#define	R3_SEEKUP		0x8000
#define	R14_VOLUME2		0xF000
#define	RSS_IF_CNT		0x01FF
#define	RSS_RSS			0xFE00
#define	STATUS_ST		0x0008
#define	STATUS_SF		0x0010	// ???
#define	STATUS_STC		0x0020
#define	STATUS_READCHAN	0xF800

// {[ R3_VOLUMNrbgŒꍇ̐ݒl
#define	R3_VOLUMN_0		(0xF << 7)		// ʍŏ
#define	R3_VOLUMN_1		(0xE << 7)
#define	R3_VOLUMN_2		(0xD << 7)
#define	R3_VOLUMN_3		(0xB << 7)
#define	R3_VOLUMN_4		(0xA << 7)
#define	R3_VOLUMN_5		(0x9 << 7)
#define	R3_VOLUMN_6		(0x7 << 7)
#define	R3_VOLUMN_7		(0x6 << 7)
#define	R3_VOLUMN_8		(0x5 << 7)
#define	R3_VOLUMN_9		(0x3 << 7)
#define	R3_VOLUMN_10	(0x2 << 7)
#define	R3_VOLUMN_11	(0x1 << 7)
#define	R3_VOLUMN_12	(0x0 << 7)		// ʍő

// {[ R3_VOLUMNrbg R14_VOLUME2rbgŒꍇA
// erbgɐݒ肷lꗗ
// ʂSrbg R14_VOLUME2AʂSrbg R3_VOLUMENMɃZbg邱
#define	VOL_0	0x0F	// ʍŏ
#define	VOL_1	0xCF
#define	VOL_2	0xDF
#define	VOL_3	0xEF
#define	VOL_4	0xFF	// ԈႢł͂ȂBf[^V[gɂ͂
#define	VOL_5	0xEE
#define	VOL_6	0xFE
#define	VOL_7	0xED
#define	VOL_8	0xFD
#define	VOL_9	0xFB
#define	VOL_10	0xFA
#define	VOL_11	0xF9
#define	VOL_12	0xF7
#define	VOL_13	0xE6
#define	VOL_14	0xF6
#define	VOL_15	0xE5
#define	VOL_16	0xF5
#define	VOL_17	0xE3
#define	VOL_18	0xF3
#define	VOL_19	0xF2
#define	VOL_20	0xF1
#define	VOL_21	0xF0	// ʍő

#endif	// __AR1000_H__
